#include <cstdlib>
#include <ctime>

#include <iostream>
#include <vector>

using namespace std;

int main()
{
    srand(time(0));              // Véletlenszám generálás inicializálásához
    
    vector<int> v1, v2(10);
    cout << "Kapacitasok: " << v1.capacity() << ", " << v2.capacity() <<  endl;
    cout << "Maximum meretek: " << v1.max_size() << ", " << v2.max_size() <<  endl;
    for (unsigned int i = 0; i < v2.size(); ++i)
        v2[i] = rand() % 100;    // Véletlenszámok generálása 0 és 99 között
        
    v1 = v2;              // Értékadás
    v2.clear();           // Kiürítés
    v2.push_back(100);    // Elem hozzávétele
    cout << "Az elso vektor elemei: " << endl;
    for (unsigned int i = 0; i < v1.size(); ++i)
    {
        cout << v1[i] << " ";
        //cout << v1.at(i) << " ";    // Másként, a különbség a hibakezelés
    }

    cout << endl << "Utolso elem: ";
    cout << v1[v1.size() - 1] << endl;
    
    v1.pop_back();                // Utolsó elem kivétele
    cout << "Utolso elem kivetele utan az utolso elem: ";
    cout << v1.back() << endl;    // Egyszerűbben
    
    cout << "Elemszamok: " << v1.size() << ", " << v2.size() << endl;
    v1.resize(3);        // Átméretezés
    cout << "Elemszamok: " << v1.size() << ", " << v2.size() << endl;
    v1.swap(v2);        // Tartalomcsere
    cout << "Elemszamok: " << v1.size() << ", " << v2.size() << endl;

    cout << "A masodik vektor elemei: " << endl;
    for (vector<int>::iterator it = v2.begin(); it != v2.end(); ++it)
        cout << *it << " ";
    
    return 0;
}
