#include <iostream>
#include <list>

using namespace std;

void print_list(const list<int>& l)
{
    cout << "Lista tartalma: " << endl;
    for (list<int>::const_iterator it = l.begin(); it != l.end(); ++it)
        cout << *it << " ";
    cout << endl;
}

int main()
{
    list<int> l, k;
    for (int i = 1; i <= 5; ++i)
    {
        l.push_back(2 * i);
        k.push_back(2 * i);
    }
    cout << "l lista" << endl;
    print_list(l);
    cout << "k lista" << endl;
    print_list(k);

    list<int>::iterator it;
    cout << "Csokkentem 1-gyel az l lista elemeinek az erteket." << endl;
    for (it = l.begin(); it != l.end(); ++it)
        *it -= 1;
    print_list(l);

    cout << "Torlom az l lista elso elemet." << endl;
    it = l.begin();
    l.erase(it);  // Jelen esetben ekvivalens ezzel: l.pop_front();
    print_list(l);
    
    cout << "Beszurok egy elemet a masodik helyre az l listaba." << endl;
    it = l.begin();
    ++it;
    l.insert(it, 4);
    print_list(l);

    cout << "Osszefuttottam az l es a k listat az l-be." << endl;
    l.merge(k);  // Fontos, hogy mindkt lista rendezett legyen, ha rendezett eredmnyt kvnunk kapni.
    print_list(l);
    cout << "A k lista ezzel kiurult." << endl;
    print_list(k);

    cout << "Megforditom az l listat" << endl;
    l.reverse();
    print_list(l);

    cout << "Rendezem az l listat" << endl;
    l.sort();
    print_list(l);

    cout << "Torlom a duplikalt elemeket az l listabol" << endl;
    l.unique();  // Fontos, hogy rendezett legyen
    print_list(l);
	
    return 0;
}
